## libmowgli 0.6.1

=== src/examples/Makefile ===
SUBDIRS = randomtest listsort formattertest dicttest

include ../../buildsys.mk

## libmowgli 1.0.0

=== src/libmowgli/Makefile ===
include ../../extra.mk

LIB = ${LIB_PREFIX}mowgli${LIB_SUFFIX}
LIB_MAJOR = 2
LIB_MINOR = 0
DISTCLEAN = mowgli_config.h

SRCS = mowgli_alloc.c			\
       mowgli_allocation_policy.c	\
       mowgli_allocator.c		\
       mowgli_argstack.c		\
       mowgli_bitvector.c		\
       mowgli_dictionary.c		\
       mowgli_error_backtrace.c		\
       mowgli_formatter.c		\
       mowgli_global_storage.c		\
       mowgli_hash.c			\
       mowgli_heap.c			\
       mowgli_hook.c			\
       mowgli_index.c			\
       mowgli_init.c			\
       mowgli_ioevent.c			\
       mowgli_list.c			\
       mowgli_logger.c			\
       mowgli_mempool.c			\
       $(MOWGLI_MODULE)			\
       mowgli_object.c			\
       mowgli_object_class.c		\
       mowgli_object_messaging.c	\
       mowgli_object_metadata.c		\
       mowgli_patricia.c		\
       mowgli_queue.c			\
       mowgli_random.c			\
       mowgli_signal.c			\
       mowgli_spinlock.c		\
       mowgli_string.c			\

INCLUDES = mowgli.h			\
	   mowgli_alloc.h		\
	   mowgli_allocation_policy.h	\
	   mowgli_allocator.h		\
	   mowgli_argstack.h		\
	   mowgli_assert.h		\
	   mowgli_bitvector.h		\
	   mowgli_config.h		\
	   mowgli_dictionary.h		\
	   mowgli_error_backtrace.h	\
	   mowgli_exception.h		\
	   mowgli_formatter.h		\
	   mowgli_global_storage.h	\
	   mowgli_hash.h		\
	   mowgli_heap.h		\
	   mowgli_hook.h		\
	   mowgli_index.h		\
	   mowgli_init.h		\
	   mowgli_ioevent.h		\
	   mowgli_iterator.h		\
	   mowgli_list.h		\
	   mowgli_logger.h		\
	   mowgli_mempool.h		\
	   mowgli_module.h		\
	   mowgli_object.h		\
	   mowgli_object_class.h	\
	   mowgli_object_messaging.h	\
	   mowgli_object_metadata.h	\
	   mowgli_patricia.h		\
	   mowgli_queue.h		\
	   mowgli_random.h		\
	   mowgli_signal.h		\
	   mowgli_spinlock.h		\
	   mowgli_stdinc.h		\
	   mowgli_string.h

include ../../buildsys.mk

CPPFLAGS += ${LIB_CPPFLAGS} -I. -I.. -DMOWGLI_CORE
CFLAGS += ${LIB_CFLAGS}

=== src/examples/dicttest/Makefile ===
PROG_NOINST = dicttest${PROG_SUFFIX}
SRCS = dicttest.c

include ../../../buildsys.mk

CPPFLAGS += -I../../libmowgli
LIBS += -L../../libmowgli -lmowgli

=== src/examples/listsort/Makefile ===
PROG_NOINST = listsort${PROG_SUFFIX}
SRCS = listsort.c

include ../../../buildsys.mk

CPPFLAGS += -I../../libmowgli
LIBS += -L../../libmowgli -lmowgli

=== src/examples/patriciatest2/Makefile ===
PROG_NOINST = patriciatest2${PROG_SUFFIX}
SRCS = patriciatest2.c

include ../../../buildsys.mk

CPPFLAGS += -I../../libmowgli
LIBS += -L../../libmowgli -lmowgli

=== debian/changelog ===
libmowgli (1.0.0-4) unstable; urgency=low

  * Update config.sub and config.guess on build (Closes: #727414).
  * Build-depend on autotools-dev to have fresh config.* files.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 27 Jan 2014 19:54:50 +0100

libmowgli (1.0.0-3) unstable; urgency=low

  * Fix arch-dependent files in -dev package (Closes: #670014).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 23 Oct 2013 11:57:40 +0200

libmowgli (1.0.0-2) unstable; urgency=low

  * Update Standards-Version to 3.9.4 (no changes).
  * Fix FTBFS with latest debhelper (Closes: #724183).
  * Fix arch-dependent files in -dev package (Closes: #670014).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 22 Oct 2013 15:30:44 +0200

libmowgli (1.0.0-1) unstable; urgency=low

  * New maintainer
  * New upstream release (Closes: #647748, #559181, #590064)
  * Switch to 3.0 (quilt) format, drop README.source
  * Bump Standards-Version to 3.9.3
  * Don't compress examples source code
  * Use dpkg-buildflags
  * Update Homepage field
  * Update copyright file
  * Update package descriptions
  * Update symbols file
  * Update watch file
  * Run autoreconf during build, stop using autotools-dev
  * Use debian/clean to clean up after build
  * Remove duplicate Section fields in debian/control
  * Update Vcs-* fields
  * Add lintian override for exception handling code calling exit(3)
  * Don't try to install make dependency bits along with examples
  * Add multiarch support:
    - raise debhelper compatibility level to 9
    - raise debhelper build-dependency to 9
    - add Pre-Depends to the binary package
    - change install files to use multiarch paths
    - use Multi-Arch: same for binary packages
    - strip multiarch paths from buildsys.mk installed
      along with examples

 -- Andrew O. Shadura <bugzilla@tut.by>  Mon, 02 Apr 2012 15:04:06 +0200

libmowgli (0.7.1-1) unstable; urgency=low

  * New upstream version
  * Update patch 001-Disable_Makefile_silent_output.diff
    Update 001-Disable_Makefile_silent_output.diff for
    current makefile
  * Remove 'a' from package description
    (Closes: #500944)

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Tue, 22 Feb 2011 16:21:44 +0100

libmowgli (0.7.0-3) unstable; urgency=low

  * Upload to sid (Closes: #559181, #590064)
  * Update watch file
  * Update the Vcs-uris to reflection the migration git
  * Switch to debhelper 7
  * Switch to quilt as patch management system
  * Update Standards-Version, changes needed:
    + Update section of libmowgli2-dbg to 'debug'
  * Add missing misc:Depends in libmowgli-dev and libmowgli2-dbg control
    information
  * Remove Adam Cécile from uploaders
  * Fix watch file (again)
    (Closes: #486575)

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Tue, 22 Feb 2011 15:26:10 +0100

libmowgli (0.7.0-2) experimental; urgency=low

  * Upload to experimental because lenny is frozen
  * Replace (C) with © because of its legal entitlement (in debian/copyright)

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Wed, 17 Sep 2008 16:21:14 +0200

libmowgli (0.7.0-1) experimental; urgency=low

  * Upload to experimental because lenny is frozen
  * New upstream version
  * Updated maintainer email address
  * Adapt the packagename, because of the bumped SONAME
  * Remove 003-dont-call-exit-where-its-not-appropriate.dpatch because
    changes were applied upstream
  * Fix watch file, broken due to change in upstream site. Thanks to Tim Retout
    for the bug report and the patch.
    (Closes: #486575)
  * Fixed a spelling error in the long description of libmowgli2
    (application -> applications)
  * Remove introduction texts from descriptions that are not aimed at
    developers, because its not interesting for endusers
  * Fix indentation in debian/copyright
  * Update upstream homepage in debian/control and debian/changelog
  * Updated copyright file
  * Add debian/README.source to document patch handling for compliance
    with updated policy
  * Bump Standards-version to 3.8.0

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Wed, 17 Sep 2008 10:46:27 +0200

libmowgli (0.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #463604)
  * Added Vcs-Headers
  * Introducing William Pitcock as a new co-maintainer
  * Added a symbols file for dpkg-gensymbols to enable more relaxed
    dependencies for packages that depend on libmowgli
  * Added a patch (backport of changes in upstream mercurial repository) to
    fix the inappropriate call of exit in the library (Closes: #465740)
  * Reworked the copyright file to make licensing and copyright informations
    more clear and fix errors in old copyright file.
  * Changed order of dh_makeshlibs and dh_fixperms in debian/rules to avoid
    problems with permissions that occur under some conditions
  * Changed call to dh_makeshlibs so that it produces a versioned shlibs file
  * Some changes to the package descriptions so its more clear for what the
    different binary packages are used

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Thu, 10 Jan 2008 08:41:59 +0100

libmowgli (0.6.0-1) unstable; urgency=low

  * New upstream release
    (Closes: #458410)
  * Removed patch for wrong SONAME (it was integrated upstream)
  * Updated Standards Version

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Mon, 31 Dec 2007 14:47:12 +0100

libmowgli (0.5.0-3) unstable; urgency=low

  * Updated upstream domain, because the old domain seems not to be
    available any more (Closes: #450201)
  * Changed priority of libmowgli1-dbg to be extra to fix override disparity

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Thu, 08 Nov 2007 06:52:28 +0100

libmowgli (0.5.0-2) unstable; urgency=low

  * Fixed issues with copyright file (Accidentally we stated that the library
    ilicensed under the terms of the BSD license)

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Wed, 24 Oct 2007 21:14:58 +0200

libmowgli (0.5.0-1) unstable; urgency=low



=== debian/control ===
Source: libmowgli
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev
Standards-Version: 3.9.4
Homepage: http://www.atheme.org/projects/mowgli
Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/libmowgli
Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/libmowgli/summary
Section: libs

Package: libmowgli-dev
Section: libdevel
Architecture: any
Depends: libmowgli2 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: high performance development framework for C (development)
 Mowgli is a development framework for C (like GLib), which provides high
 performance and highly flexible algorithms. It can be used as a supplement
 to GLib (to add additional functions (dictionaries, hashes), or replace some
 of the slow GLib list manipulation functions), or stand alone. It also
 provides a powerful hook system and convenient logging for your code, as well
 as high performance block allocator.
 .
 This package contains files needed for development with this library and code
 examples.

Package: libmowgli2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: high performance development framework for C
 Mowgli is a development framework for C (like GLib), which provides high
 performance and highly flexible algorithms. It can be used as a supplement
 to GLib (to add additional functions (dictionaries, hashes), or replace some
 of the slow GLib list manipulation functions), or stand alone. It also
 provides a powerful hook system and convenient logging for your code, as well
 as high performance block allocator.
 .
 This package contains the shared library needed to run programs that use the
 mowgli library.

Package: libmowgli2-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libmowgli2 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: high performance development framework for C (debug)
 Mowgli is a development framework for C (like GLib), which provides high
 performance and highly flexible algorithms. It can be used as a supplement
 to GLib (to add additional functions (dictionaries, hashes), or replace some
 of the slow GLib list manipulation functions), or stand alone. It also
 provides a powerful hook system and convenient logging for your code, as well
 as high performance block allocator.
 .
 This package contains the debug symbols needed to create meaningful backtraces
 for applications that use the mowgli library.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

export ACLOCAL := aclocal -I m4

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_auto_configure -- SHELL=/bin/sh

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/libmowgli2/usr/include/$(DEB_HOST_MULTIARCH)/libmowgli
	mv -f debian/tmp/usr/include/libmowgli/mowgli_config.h debian/libmowgli2/usr/include/$(DEB_HOST_MULTIARCH)/libmowgli/mowgli_config.h

override_dh_installexamples:
	sed -e 's,\(libdir = \$${prefix}/lib\)/.*$$,\1,' \
	    -e 's,CFLAGS = .*$$,CFLAGS = ,' \
		-e 's,CPPFLAGS = .*$$,CPPFLAGS = ,' \
		-e 's,LDFLAGS = .*$$,LDFLAGS = ,' < buildsys.mk > buildsys.mk.new
	mv -f buildsys.mk.new buildsys.mk
	dh_installexamples -X.dep

override_dh_compress:
	dh_compress -Xusr/share/doc/libmowgli-dev/examples

override_dh_strip:
	dh_strip --dbg-package=libmowgli2-dbg

override_dh_auto_clean:
	[ ! -f buildsys.mk ] || dh_auto_clean

.PHONY: override_dh_installexamples override_dh_compress override_dh_strip override_dh_auto_clean override_dh_auto_install override_dh_auto_configure
